--- /dev/null	2014-02-02 13:42:45.000000000 +0000
+++ new/usr/src/cmd/perl/Makefile.perl	2014-02-02 13:42:45.719122120 +0000
@@ -0,0 +1,45 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+#
+# Copyright (c) 2014 Racktop Systems.
+#
+
+include $(SRC)/lib/Makefile.lib
+
+PERL_VERSION = 5.10.0
+
+PERL_ARCH = i86pc-solaris-64int
+$(SPARC_BLD)PERL_ARCH = sun4-solaris-64int
+
+PERLDIR = $(ADJUNCT_PROTO)/usr/perl5/$(PERL_VERSION)
+PERLLIBDIR = $(PERLDIR)/lib/$(PERL_ARCH)
+PERLINCDIR = $(PERLLIBDIR)/CORE
+
+PERLMOD = $(MODULE).pm
+PERLEXT = $(MACH)/$(MODULE).so
+
+ROOTPERLDIR = $(ROOT)/usr/perl5/$(PERL_VERSION)
+ROOTPERLLIBDIR = $(ROOTPERLDIR)/lib/$(PERL_ARCH)
+ROOTPERLMODDIR = $(ROOTPERLLIBDIR)/Sun/Solaris
+ROOTPERLEXTDIR = $(ROOTPERLLIBDIR)/auto/Sun/Solaris/$(MODULE)
+
+ROOTPERLMOD = $(ROOTPERLMODDIR)/$(MODULE).pm
+ROOTPERLEXT = $(ROOTPERLEXTDIR)/$(MODULE).so
